<?php
include ('header.php');

// Clean form inputs
foreach ( $_POST as $key => $value ) {
	$posts [$key] = filter ( $value );
}
foreach ( $_GET as $key => $value ) {
	$gets [$key] = filter ( $value );
}

// /Handle Email Change
if (isset ( $_POST ['email'] )) {
	
	// Clean user inputs
	$email = mysqli_escape_string ( $mysqli, $posts ['email'] );
	$optin = mysqli_escape_string ( $mysqli, $posts ['optin'] );
	
	// Check for email exists
	$checkForUser = $mysqli->query ( "SELECT id FROM `users` WHERE `email`='" . $email . "'" );
	$checkForUserRows = $checkForUser->num_rows;
	
	// Check email against banned emails
	if ($email != '') {
		$emex = explode ( "@", $email );
		$emcheck = '@' . $emex [1];
		$ebans = $mysqli->query ( "SELECT * FROM `ban_emails` WHERE `email`='" . $emcheck . "'" );
		$ebanexists = $ebans->num_rows;
	}
	
	// Error Handling
	if ($checkForUserRows != '0') {
		$error = 'This email has already been registered.';
	} else if (! isEmail ( $email )) {
		$error = 'Enter a valid email address.';
	} else if ($ebanexists) {
		$error = 'This email provider is banned, please use an alternate address.';
	} else {
		
		// Prepare data to be inserted to DB
		$mysqli->query ( "UPDATE `users` SET `email` = '" . $email . "', `optin` = '" . $optin . "' WHERE `id` = '" . $data ['id'] . "'" );
		
		// Display success message
		$success = 'Your email address has been changed. You must login again to confirm the process.';
		echo '<meta http-equiv="refresh" content="5; URL="sign-out.php">';
	}
}

// Handle Password Change
if (isset ( $_POST ['password'] )) {
	
	// Clean user inputs
	$password = mysqli_escape_string ( $mysqli, $posts ['password'] );
	$password2 = mysqli_escape_string ( $mysqli, $posts ['password2'] );
	
	// Check password is ready for a change
	if (! checkPwd ( $password, $password2 )) {
		$error = 'Passwords do not match.';
	} else {
		
		// Prepare data to be inserted to DB
		$pass = $password;
		$passmd5 = MD5 ( $pass );
		$mysqli->query ( "UPDATE `users` SET `pass` = '" . $passmd5 . "' WHERE `id` = '" . $data ['id'] . "'" );
		
		// Display success message
		$success = 'Your password has been changed.';
	}
}
?>


<body>

	<!-- Full height wrapper -->
	<div id="wrapper">

		<!-- Main page header -->
		<header id="header" class="container">

			<h1>
				<!-- Main page logo -->
				<a href="dashboard.php" class="brand"><?=$site['name'];?></a>

				<!-- Main page headline -->
				<span>Free Website Traffic</span>
			</h1>
				
				<?php include('common/header_menu.php');?>


			</header>
		<!-- /Main page header -->

		<!-- Main page container -->
		<section class="container" role="main">

			<!-- Grid row -->
			<div class="row">

				<!-- Data block -->
				<article class="span12 data-block">
					<header>
						<h2>Account settings</h2>
					</header>
					<section>
						<!-- START ALERTS -->
                                                        <?php if(isset($error)){?>
                                                        <div
							class="alert alert-error fade in">
							<button class="close" data-dismiss="alert">&times;</button>
							<strong>ERROR:</strong> <?=$error;?>
							</div>
							<?php }ELSE if(isset($success)){?>
							<div class="alert alert-success fade in">
							<button class="close" data-dismiss="alert">&times;</button>
							<strong>SUCCESS:</strong> <?=$success;?>
							</div>
							<?php }?>
<!-- END ALERTS -->
						<div class="row-fluid">
							<div class="span6">
								<h4>Email Settings</h4>
								<p>Can't access your email anymore? Please enter a new email
									address below and click save changes to save it.</p>
								<form class="form-horizontal" method="post">
									<fieldset>
										<div class="control-group">
											<label class="control-label" for="input">New Email</label>
											<div class="controls">
												<input id="input" class="input-xlarge" type="text"
													name="email" value="<?=$data['email'];?>">
											</div>
										</div>

										<div class="control-group">
											<label class="control-label" for="select">Promotional Emails</label>
											<div class="controls" style="padding-left: 18px;">
												<label class="radio custom-radio"> <input type="radio"
													name="optin" id="radio01" value="0"
													<?php if(isset($optin) && $optin == '0'){ echo 'checked';}ELSE{ echo 'checked';}?>>
													Opt-in
												</label> <label class="radio custom-radio"> <input
													type="radio" name="optin" id="radio02" value="1"
													<?php if($data['optin'] == '1'){?> checked <?php }?>
													<?php if(isset($optin) && $optin == '1'){ echo 'checked';}?>>
													Opt-out
												</label>


											</div>
										</div>

										<div class="form-actions">
											<button class="btn btn-alt btn-large btn-primary"
												type="submit">Save changes</button>
										</div>
									</fieldset>
								</form>
							</div>
							<div class="span6">
								<h4>Change Password</h4>
								<p>Need to change your password? Please enter a new password
									below and click change password to save it.</p>
								<form class="form-horizontal" method="post">
									<fieldset>
										<div class="control-group">
											<label class="control-label" for="input">New Password</label>
											<div class="controls">
												<input id="input" class="input-xlarge" type="password"
													name="password" placeholder="">
											</div>
										</div>
										<div class="control-group">
											<label class="control-label" for="input">Confirm Password</label>
											<div class="controls">
												<input id="input" class="input-xlarge" type="password"
													name="password2" placeholder="">
											</div>
										</div>
										<div class="form-actions">
											<button class="btn btn-alt btn-large btn-primary"
												type="submit">Change password</button>
										</div>
									</fieldset>
								</form>
							</div>
						</div>
					</section>
					<footer>
						<p>No longer wish to receive low credit notifications or
							newsletters from us? You can Opt-out above.</p>
					</footer>
				</article>
				<!-- /Data block -->

			</div>
			<!-- /Grid row -->

		</section>
		<!-- /Main page container -->

		<!-- Sticky footer push -->
		<div id="push"></div>

	</div>
	<!-- /Full height wrapper -->



<?php
include ('footer.php');
?>